---
title: 'Update Loyalty Rule Status'
description: 'Update a loyalty rule status'
openapi: POST /api/loyalty/rule_statuses
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/loyalty/rule_statuses`

`POST https://admin.snagsolutions.io/api/loyalty/rule_statuses`

Update a loyalty rule status

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Request body

- Content type: `application/json`
  - request body (object)
    - `organizationId` (string, uuid) — Unique identifier for the organization
    - `websiteId` (string, uuid) — Unique identifier for the website
    - `userId` (string, uuid) — Unique identifier for the user, either userId or walletAddress must be provided
    - `walletAddress` (string) — Unique identifier for the wallet address, either userId or walletAddress must be provided
    - `loyaltyRuleId` (string, uuid, required) — Unique identifier for the loyalty rule
    - `progress` (number) — Progress of the loyalty rule. Clamped to the rule target (100 for percentage rules, the highest reward range end for counter rules).
    - `incProgress` (number) — Increment progress of the loyalty rule. The resulting progress is clamped to the rule target (100 for percentage rules, the highest reward range end for counter rules).

## Response 200

200
  - response (object)
    - `id` (string, uuid, required)
    - `websiteId` (string, uuid, required)
    - `organizationId` (string, uuid, required)
    - `userId` (string, uuid, required)
    - `loyaltyRuleId` (string, uuid, required)
    - `progress` (number, required)
    - `createdAt` (string, date-time, required)
    - `updatedAt` (string, date-time, required)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object) — Schema for not found response
    - `message` (string, required) — Error message


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
